# Special Case Type

## Filter by special case type (constitutional\_clause\_id).

<mark style="color:blue;">`GET`</mark> `https://clearinghouse.net/api/v2p1/cases?special_case_type=special_case_type_id`

#### Query Parameters

| Name                                                      | Type    | Description                                                                      |
| --------------------------------------------------------- | ------- | -------------------------------------------------------------------------------- |
| special\_case\_type\_id<mark style="color:red;">\*</mark> | integer | Special case type ID (see list below for list of integers and its mapped values) |

#### Headers

| Name                                            | Type   | Description                                                                                                                    |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>Authorization</p><p><code>Token XXXXXXXXXXX</code></p><p>where</p><p><code>XXXXXXXXXXX</code></p><p>is the token string</p> |

{% tabs %}
{% tab title="200 Case successfully retrieved" %}

{% endtab %}

{% tab title="400: Bad Request No results, key not found, or invalid parameter" %}

```
\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    "detail":"Authentication credentials were not provided."
}
```

{% endtab %}
{% endtabs %}

Supported constitutional clause IDs (special\_case\_type\_id):

| 5596 | Non-court arbitration/mediation  |
| ---- | -------------------------------- |
| 5597 | Warrant or subpoena application  |
| 5593 | Appellate Court is initial court |
| 5591 | Criminal                         |
| 5592 | Habeas                           |
| 5374 | Tribal Court                     |
| 5594 | Multi-District Litigation (MDL)  |
| 5595 | Out-of-court                     |

For more information about these special case types, see [#special-case-type](https://api.clearinghouse.net/objects/case/issues#special-case-type "mention").

## **Example** <a href="#example" id="example"></a>

{% tabs %}
{% tab title="URL" %}

```
https://clearinghouse.net/api/v2p1/cases?special_case_type=5595
```

{% endtab %}

{% tab title="python" %}

```
import requests

url = "https://clearinghouse.net/api/v2p1/cases?special_case_type=5595"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.clearinghouse.net/api-reference-v2p1/endpoints/case-details/special-case-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
